# GenerateUniqueVisitedVariableForNode(string)

Method in [Library](/2.3/api/csharp/yarn/yarn.library.md)

## Summary

Generates a unique tracking variable name. This is intended to be used to generate names for visting. Ideally these will very reproduceable and sensible. For now it will be something terrible and easy.

```csharp
public static string GenerateUniqueVisitedVariableForNode(string nodeName)
```

## Parameters

| Name              | Description                                                          |
| ----------------- | -------------------------------------------------------------------- |
| `string` nodeName | The name of the node that needs to have a tracking variable created. |

## Returns

The new variable name.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn/yarn.library/yarn.library.generateuniquevisitedvariablefornode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
